[event-handler-attributes-body-window.html]
  [shadowed rejectionhandled]
    expected: FAIL

  [shadowed unhandledrejection]
    expected: FAIL

  [not shadowed cancel]
    expected: FAIL

  [not shadowed securitypolicyviolation]
    expected: FAIL

  [not shadowed copy]
    expected: FAIL

  [not shadowed cut]
    expected: FAIL

  [not shadowed paste]
    expected: FAIL

  [shadowed rejectionhandled removal]
    expected: FAIL

  [shadowed unhandledrejection removal]
    expected: FAIL

  [shadowed rejectionhandled (document.body)]
    expected: FAIL

  [shadowed unhandledrejection (document.body)]
    expected: FAIL

  [not shadowed cancel (document.body)]
    expected: FAIL

  [not shadowed securitypolicyviolation (document.body)]
    expected: FAIL

  [not shadowed copy (document.body)]
    expected: FAIL

  [not shadowed cut (document.body)]
    expected: FAIL

  [not shadowed paste (document.body)]
    expected: FAIL

  [shadowed rejectionhandled removal (document.body)]
    expected: FAIL

  [shadowed unhandledrejection removal (document.body)]
    expected: FAIL

  [shadowed rejectionhandled (document.createElement("body"))]
    expected: FAIL

  [shadowed unhandledrejection (document.createElement("body"))]
    expected: FAIL

  [not shadowed cancel (document.createElement("body"))]
    expected: FAIL

  [not shadowed securitypolicyviolation (document.createElement("body"))]
    expected: FAIL

  [not shadowed copy (document.createElement("body"))]
    expected: FAIL

  [not shadowed cut (document.createElement("body"))]
    expected: FAIL

  [not shadowed paste (document.createElement("body"))]
    expected: FAIL

  [shadowed rejectionhandled removal (document.createElement("body"))]
    expected: FAIL

  [shadowed unhandledrejection removal (document.createElement("body"))]
    expected: FAIL

  [shadowed rejectionhandled removal (window)]
    expected: FAIL

  [shadowed unhandledrejection (window)]
    expected: FAIL

  [not shadowed securitypolicyviolation (window)]
    expected: FAIL

  [shadowed unhandledrejection removal (window)]
    expected: FAIL

  [not shadowed cancel (window)]
    expected: FAIL

  [shadowed rejectionhandled (window)]
    expected: FAIL

  [shadowed unload removal (document.body)]
    disabled: Bug 1485887
    expected:
      if not debug and e10s and (os == "linux"): FAIL
      if not debug and (os == "mac"): FAIL
      if not debug and (os == "win") and (version == "6.1.7601"): FAIL

  [shadowed unload removal (window)]
    disabled: Bug 1485887
    expected:
      if not debug and e10s and (os == "linux"): FAIL
      if not debug and (os == "mac"): FAIL
      if not debug and (os == "win") and (version == "6.1.7601"): FAIL

  [shadowed unload removal (document.createElement("body"))]
    disabled: Bug 1485887
    expected:
      if not debug and e10s and (os == "linux"): FAIL
      if not debug and (os == "mac"): FAIL
      if not debug and (os == "win") and (version == "6.1.7601"): FAIL

  [not shadowed formdata (window)]
    expected: FAIL

  [not shadowed formdata (document.body)]
    expected: FAIL

  [not shadowed formdata (document.createElement("body"))]
    expected: FAIL

